Bug 27733 - Sort pickup locations by library name instead of branchcode
Summary: Sort pickup locations by library name instead of branchcode
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27732
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-19 14:41 UTC by Owen Leonard
Modified: 2021-02-25 09:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27733: Add "_sort_by" paramter to pickup_locations API query (1.62 KB, patch)
2021-02-19 14:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27733: Add "_sort_by" paramter to pickup_locations API query (1.68 KB, patch)
2021-02-19 18:28 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 27733: Add "_sort_by" paramter to pickup_locations API query (1.74 KB, patch)
2021-02-22 15:59 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-19 14:41:11 UTC
When you start the process of placing a hold in the staff interface for a title which already has holds, the table showing information about those holds has controls for changing the existing holds' pickup location. That dropdown queries the API to get available pickup locations, but the list of libraries is returned in order by branchcode. It should be ordered by library name instead.
Comment 1 Owen Leonard 2021-02-19 14:51:27 UTC
Created attachment 117087 [details] [review]
Bug 27733: Add "_sort_by" paramter to pickup_locations API query

On the place hold page in the staff interface, add a "_sort_by"
parameter with the "name" value so that the list of libraries is
returned in name order.

To test, apply the patch and locate a title in the staff interface which
has holds on it.

- View the holds information for that title.
- In the table of exising holds, expand the "Pickup library" dropdown
  for any of the entries. The list of libraries should be in order by
  library name.
Comment 2 ByWater Sandboxes 2021-02-19 18:28:31 UTC
Created attachment 117093 [details] [review]
Bug 27733: Add "_sort_by" paramter to pickup_locations API query

On the place hold page in the staff interface, add a "_sort_by"
parameter with the "name" value so that the list of libraries is
returned in name order.

To test, apply the patch and locate a title in the staff interface which
has holds on it.

- View the holds information for that title.
- In the table of exising holds, expand the "Pickup library" dropdown
  for any of the entries. The list of libraries should be in order by
  library name.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Martin Renvoize 2021-02-22 15:59:23 UTC
Much better, Passing QA
Comment 4 Martin Renvoize 2021-02-22 15:59:53 UTC
Created attachment 117159 [details] [review]
Bug 27733: Add "_sort_by" paramter to pickup_locations API query

On the place hold page in the staff interface, add a "_sort_by"
parameter with the "name" value so that the list of libraries is
returned in name order.

To test, apply the patch and locate a title in the staff interface which
has holds on it.

- View the holds information for that title.
- In the table of exising holds, expand the "Pickup library" dropdown
  for any of the entries. The list of libraries should be in order by
  library name.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Jonathan Druart 2021-02-23 12:22:51 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-02-25 09:52:10 UTC
Depends on Bug 27732 not in 20.11.x